var banner = document.getElementById("banner");
var bg = document.getElementById("bg");
var typed = document.getElementById("typed");
var info = document.getElementById("info");
var cta = document.getElementById("cta");
var typedCursor = document.getElementsByClassName("typed-cursor");
var count = 0;
Typed.new("#typed", {
  strings: ["Participa<br>e ganha<br>bilhetes<br>de Interrail.", "Vai a <br>Madrid,<br>Milão<br>ou Berlim.", "Cidades<br>onde podes<br>estudar<br>no futuro.", "Começa aqui,<br>chega onde<br>quiseres."],
  typeSpeed: 25,
  backSpeed: 0,
  backDelay: 2000,
  showCursor: true,
  onStringTyped: function() {
        count++
        if (count == 4) {
          typedCursor[0].style.display = "none";
        }
      },
});

TweenLite.to(cta, 0, {right:"-"+cta.clientWidth+"px"});

TweenLite.delayedCall(2, function() {
	TweenLite.to(cta, 1, {right:0, ease:Power2.easeOut});
});